List notification logs
GET
/api/v1/notifications/logs
const url = 'https://renotify.app/api/v1/notifications/logs?filter%5Buuid%5D=018f7b5d-8f5f-7a5d-9c0f-2b0c3d4e5f67&filter%5Btemplate%5D=welcome_new_user&filter%5Bnotification_id%5D=1&filter%5Bcontact_id%5D=12&filter%5Bsend_status%5D=failed&filter%5Bprovider%5D=whatsapp_cloud&filter%5Bmessage_id%5D=wamid.12345&sort=-created_at&per_page=15';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://renotify.app/api/v1/notifications/logs?filter%5Buuid%5D=018f7b5d-8f5f-7a5d-9c0f-2b0c3d4e5f67&filter%5Btemplate%5D=welcome_new_user&filter%5Bnotification_id%5D=1&filter%5Bcontact_id%5D=12&filter%5Bsend_status%5D=failed&filter%5Bprovider%5D=whatsapp_cloud&filter%5Bmessage_id%5D=wamid.12345&sort=-created_at&per_page=15' \ --header 'Authorization: Bearer <token>'Retrieve a paginated list of notification delivery logs for the current team.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”filter[uuid]
Filter by log UUID.
string
Filter by log UUID.
Example
018f7b5d-8f5f-7a5d-9c0f-2b0c3d4e5f67filter[template]
Filter by template name.
string
Filter by template name.
Example
welcome_new_userfilter[notification_id]
Filter by notification ID.
integer
Filter by notification ID.
Example
1filter[contact_id]
Filter by contact ID.
integer
Filter by contact ID.
Example
12filter[send_status]
Filter by send status.
string
Filter by send status.
Example
failedfilter[provider]
Filter by provider name.
string
Filter by provider name.
Example
whatsapp_cloudfilter[message_id]
Filter by provider message ID.
string
Filter by provider message ID.
Example
wamid.12345sort
Sort the results by an allowed field.
string
Sort the results by an allowed field.
Example
-created_atper_page
Results per page.
integer
Results per page.
Example
15Responses
Section titled “Responses”Media typeapplication/json
object
errors
Array<object>
object
status
string
title
string
detail
string
Example
{ "errors": [ { "status": "401", "title": "Unauthenticated", "detail": "Unauthenticated." } ]}